//
// BackscaleMaker.cc
//
// Authors:  Richard Saxton (VEGA/ESA)
//           ESA XMM SOC
//
// Description: Runs backscale to produce an ARF
//
#include <Tracer.h>
#include <metatask.h>
#include <errstr.h>
#include <param.h>

//#include <backscale.h>   // tasks

#include "BackscaleMaker.h"

BackscaleMaker::BackscaleMaker(string spectrumset, bool withbadpixcorr, 
                    bool useodfatt, string badpixlocation)
{
  PROC;

  /* Set up the parameters for calling backscale */
    openParameters("backscale");

  /* First the input parameters */
    setParameter("spectrumset",spectrumset);
    setParameter("withbadpixcorr",withbadpixcorr);
    setParameter("useodfatt",useodfatt);
    setParameter("badpixlocation",badpixlocation);

  /* Now run backscale using these parameters */ 
    task(backscale);
   
  /* Shutdown */
    closeParameters();

  ENDPROC;
}

BackscaleMaker::~BackscaleMaker()
{
  PROC;
  ENDPROC;
}

