//
// Module: CalSetter
// Author: Richard Saxton 
//
// Description: Sets the CAL status
//
// Modifications: See ChangeLog
//

#ifndef CalSetter_H
#define CalSetter_H

/* General classes */

/* SAS-specific classes */
#include "Xmm.h"
#include "Dal.h"
#include "CalServer.h"

/* Local Classes */

/****************************************************
 *
 * class CalSetter
 *
 ***************************************************/

class CalSetter
{
public:

  /* Constructor */
  CalSetter();

  /* Destructor */
  ~CalSetter();

  /* Method to set the Cal from an image file header */
  void fromImage(const string & infile);
  Xmm::Mode getWindowMode(string submode) const;
  void setAccuracyLevel(AccuracyLevel mode) const;

private:

DataSet * set;
Xmm::Mode _windowMode;

};

#endif

